<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/reuse_listview_item_style"
    android:clickable="true"
    android:gravity="center_vertical"
    android:orientation="horizontal"
    android:paddingLeft="20dp"
    android:paddingTop="8dp"
    android:paddingRight="20dp"
    android:paddingBottom="8dp">

    <com.gh.gamecenter.feature.view.GameIconView
        android:id="@+id/dm_item_iv_icon"
        android:layout_width="64dp"
        android:layout_height="64dp" />

    <LinearLayout
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:layout_marginLeft="12dp"
        android:layout_marginRight="8dp"
        android:layout_weight="1"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="wrap_content">

            <TextView
                android:id="@+id/dm_item_tv_title"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:ellipsize="marquee"
                android:includeFontPadding="false"
                android:marqueeRepeatLimit="marquee_forever"
                android:singleLine="true"
                android:textColor="@color/text_title"
                android:textSize="14sp"
                android:textStyle="bold" />

        </LinearLayout>

        <TextView
            android:id="@+id/dm_item_tv_speed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:drawablePadding="2dp"
            android:includeFontPadding="false"
            android:textColor="@color/theme_font"
            android:textSize="@dimen/little_secondary_size"
            tools:text="2.41MB/s(剩37秒)" />

    </LinearLayout>

    <com.gh.gamecenter.feature.view.DownloadButton
        android:id="@+id/dm_item_tv_startorpause"
        android:layout_width="56dp"
        android:layout_height="28dp"
        app:download_button_show_progress="true"
        app:download_button_text_size="12sp" />

</LinearLayout>